import AtlassianClient from '../AtlassianClient'
import Topic from '../models/Topic'
import Store from './Store'

class TopicStore extends Store {
  search(name) {
    return AtlassianClient.fetchWiki(`/topic/search?name=${name}`).
      then(data => new Topic(data)).
      then(topic => this.set(name, topic)).
      catch(error => console.log(error)) // TODO?
  }
}

const store = new TopicStore()
export default store
