import React, { Component } from 'react'
import UserView from './UserView'

import styles from '../../styles/AnswerView.css'
import contentStyles from '../../styles/Content.css'

export default class AnswerView extends Component {
  render() {
    const { answer } = this.props

    // TODO displayUrl

    return <div className={styles.answerContainer}>
      <div>
        <UserView user={answer.author}>
          <p className={styles.noMargin}><small>{answer.friendlyDateAnswered}</small></p>
          <a className={styles.commentLink} href={answer.url}>link to answer</a>
        </UserView>
      </div>
      <div
        className={contentStyles.contentContainer}
        dangerouslySetInnerHTML={{ __html: answer.body.content }}
      />
    </div>
  }
}
